Commit b87ebdba authored by Laurent Bigonville's avatar Laurent Bigonville Committed by Jonas Smedegaard

Import Debian changes 3.22.1-1

gnome-initial-setup (3.22.1-1) unstable; urgency=medium

  * New upstream release.

gnome-initial-setup (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10 (automatic autoreconf).
  * Set libexecdir to non-multiarch dir, following current practice.
  * Update Build-Depends as per configure.ac.
  * Explicitly enable the software sources page.
  * Refresh polkit-allow-NM.patch.
  * Avoid using full path to deluser in postrm script to quieten lintian.
  * Tweak copyright file to add some text to the public-domain block.

gnome-initial-setup (3.20.1-1) unstable; urgency=low

  [ Javier Martinez ]
  * Initial release  (Closes: #766388)

  [ Sjoerd Simons ]
  * debian/patches/pollkit-allow-NM.patch:
    - Added. Allow the gnome-initial-setup user to control the network

  [ Jordi Mallach ]
  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Add missing GPL-2+ license to copyright.
  * Add missing ${shlibs:Depends} substitution variable.
  * Add dependency on adduser.

  [ Jeremy Bicha ]
  * New upstream release. Update build-dependencies accordingly.
  * Use dh
  * Set Arch to linux-any since it needs gdm to build and run
  * Set libexecdir
  * Add to description and d/copyright

  [ Jordi Mallach ]
  * Add a pkla rules file for compat with policykit-1 < 0.106.
parent 64a14224
gnome-initial-setup (3.22.1-1) unstable; urgency=medium
* New upstream release.
-- Laurent Bigonville <bigon@debian.org> Tue, 06 Dec 2016 18:05:21 +0100
gnome-initial-setup (3.22.0-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compat to 10 (automatic autoreconf).
* Set libexecdir to non-multiarch dir, following current practice.
* Update Build-Depends as per configure.ac.
* Explicitly enable the software sources page.
* Refresh polkit-allow-NM.patch.
* Avoid using full path to deluser in postrm script to quieten lintian.
* Tweak copyright file to add some text to the public-domain block.
-- Jordi Mallach <jordi@debian.org> Sat, 24 Sep 2016 01:59:12 +0200
gnome-initial-setup (3.20.1-1) unstable; urgency=low
[ Javier Martinez ]
* Initial release (Closes: #766388)
[ Sjoerd Simons ]
* debian/patches/pollkit-allow-NM.patch:
- Added. Allow the gnome-initial-setup user to control the network
[ Jordi Mallach ]
* New upstream release.
* Update Build-Depends as per configure.ac.
* Add missing GPL-2+ license to copyright.
* Add missing ${shlibs:Depends} substitution variable.
* Add dependency on adduser.
[ Jeremy Bicha ]
* New upstream release. Update build-dependencies accordingly.
* Use dh
* Set Arch to linux-any since it needs gdm to build and run
* Set libexecdir
* Add to description and d/copyright
[ Jordi Mallach ]
* Add a pkla rules file for compat with policykit-1 < 0.106.
-- Jordi Mallach <jordi@debian.org> Wed, 03 Aug 2016 12:22:21 +0200
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-initial-setup
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 10),
geoclue-2.0 (>= 2.3.1),
gnome-common,
gnome-pkg-tools (>= 0.13),
intltool (>= 0.40),
iso-codes,
libaccountsservice-dev,
libcheese-gtk-dev (>= 3.3.5),
libfontconfig1-dev,
libgdm-dev (>= 3.8.3),
libgeoclue-2-dev (>= 2.3.1),
libgeocode-glib-dev,
libglib2.0-dev (>= 2.46.0),
libgnome-desktop-3-dev (>= 3.7.5),
libgoa-1.0-dev,
libgoa-backend-1.0-dev,
libgtk-3-dev (>= 3.19.12),
libgweather-3-dev (>= 3.13.91),
libibus-1.0-dev (>= 1.5.2),
libjson-glib-dev,
libkrb5-dev,
libnm-glib-dev (>= 0.9.6.4),
libnm-gtk-dev (>= 0.9.6.4),
libnm-util-dev (>= 0.9.6.4),
libpackagekit-glib2-dev (>= 1.1.4),
libpango1.0-dev (>= 1.32.5),
libpolkit-gobject-1-dev (>= 0.103),
libpwquality-dev,
librest-dev,
libsecret-1-dev,
libwebkit2gtk-4.0-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-initial-setup
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-initial-setup/
Homepage: https://git.gnome.org/browse/gnome-initial-setup/
Package: gnome-initial-setup
Architecture: linux-any
Depends: ${shlibs:Depends},
gdm3,
policykit-1 (>= 0.103),
adduser,
${misc:Depends}
Recommends: gnome-getting-started-docs
Description: Initial GNOME system setup helper
After acquiring or installing a new system there are a few essential things
to set up before use. GNOME Initial Setup aims to provide a simple, easy,
and safe way to prepare a new system.
.
GNOME Initial Setup runs the first time you log in to the GNOME desktop
and lets you easily configure your language, keyboard layout, online accounts
integration, and more.
.
If you want to configure these things at any other time, run the Settings app.
Source: gnome-initial-setup
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: @GNOME_TEAM@
Build-Depends: debhelper (>= 10),
geoclue-2.0 (>= 2.3.1),
gnome-common,
gnome-pkg-tools (>= 0.13),
intltool (>= 0.40),
iso-codes,
libaccountsservice-dev,
libcheese-gtk-dev (>= 3.3.5),
libfontconfig1-dev,
libgdm-dev (>= 3.8.3),
libgeoclue-2-dev (>= 2.3.1),
libgeocode-glib-dev,
libglib2.0-dev (>= 2.46.0),
libgnome-desktop-3-dev (>= 3.7.5),
libgoa-1.0-dev,
libgoa-backend-1.0-dev,
libgtk-3-dev (>= 3.19.12),
libgweather-3-dev (>= 3.13.91),
libibus-1.0-dev (>= 1.5.2),
libjson-glib-dev,
libkrb5-dev,
libnm-glib-dev (>= 0.9.6.4),
libnm-gtk-dev (>= 0.9.6.4),
libnm-util-dev (>= 0.9.6.4),
libpackagekit-glib2-dev (>= 1.1.4),
libpango1.0-dev (>= 1.32.5),
libpolkit-gobject-1-dev (>= 0.103),
libpwquality-dev,
librest-dev,
libsecret-1-dev,
libwebkit2gtk-4.0-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-initial-setup
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-initial-setup/
Homepage: https://git.gnome.org/browse/gnome-initial-setup/
Package: gnome-initial-setup
Architecture: linux-any
Depends: ${shlibs:Depends},
gdm3,
policykit-1 (>= 0.103),
adduser,
${misc:Depends}
Recommends: gnome-getting-started-docs
Description: Initial GNOME system setup helper
After acquiring or installing a new system there are a few essential things
to set up before use. GNOME Initial Setup aims to provide a simple, easy,
and safe way to prepare a new system.
.
GNOME Initial Setup runs the first time you log in to the GNOME desktop
and lets you easily configure your language, keyboard layout, online accounts
integration, and more.
.
If you want to configure these things at any other time, run the Settings app.
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: gnome-initial-setup
Source: https://download.gnome.org/sources/gnome-initial-setup/
Files: *
Copyright: 2009-2016 Red Hat
2012-2016 Mattias Clasen <mclasen@redhat.com>
2012-2015 Jasper St. Pierre <jstpierre@mecheye.net>
2012, 2015 Ray Strode <rstrode@redhat.com>
2011-2013 Giovanni Campagna <scampa.giovanni@gmail.com>
2010 Intel, Inc
2009 Canonical Ltd
2000-2001 Ximian, Inc
William Jon McCann <jmccann@redhat.com>
Jakub Steiner <jimmac@gmail.com>
License: GPL-2+
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.
.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
.
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-2'.
Files: gnome-initial-setup/pages/account/um-realm-manager.*
Copyright: 2009-2014, Red Hat, Inc
These files may be GPL-2+. See https://bugzilla.gnome.org/733593
License: GPL-3+
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
.
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-3'.
Files: gnome-initial-setup/pages/timezone/backward
Copyright: None
Copied from tzdata: https://www.iana.org/time-zones
License: public-domain
This file is in the public domain, so clarified as of
2009-05-17 by Arthur David Olson.
NEWS
README
[Allow the gnome-initial-setup user to mount disks, set the locale, keyboard, date/time, control the network and create users without prompting]
Identity=unix-user:gnome-initial-setup
Action=org.freedesktop.udisks2.filesystem-mount-system;org.freedesktop.hostname1.*;org.freedesktop.NetworkManager.*;org.freedesktop.locale1.*;org.freedesktop.accounts.*;org.freedesktop.timedate1.*;org.freedesktop.realmd.*;org.freedesktop.RealtimeKit1.*
ResultAny=no
ResultInactive=no
ResultActive=yes
debian/gnome-initial-setup.pkla /var/lib/polkit-1/localauthority/10-vendor.d/
Index: gnome-initial-setup-3.22.0/data/20-gnome-initial-setup.rules
===================================================================
--- gnome-initial-setup-3.22.0.orig/data/20-gnome-initial-setup.rules
+++ gnome-initial-setup-3.22.0/data/20-gnome-initial-setup.rules
@@ -11,6 +11,7 @@ polkit.addRule(function(action, subject)
var actionMatches = (action.id === 'org.freedesktop.udisks2.filesystem-mount-system' ||
action.id.indexOf('org.freedesktop.hostname1.') === 0 ||
+ action.id.indexOf('org.freedesktop.NetworkManager.') === 0 ||
action.id.indexOf('org.freedesktop.locale1.') === 0 ||
action.id.indexOf('org.freedesktop.packagekit.system-sources-configure') === 0 ||
action.id.indexOf('org.freedesktop.accounts.') === 0 ||
polkit-allow-NM.patch
#!/bin/sh
set -eu
# creating gnome-initial-setup user if it isn't already there
if ! getent passwd gnome-initial-setup >/dev/null; then
adduser --system --force-badname --quiet \
--home /run/gnome-initial-setup/ --no-create-home \
--shell /bin/false \
gnome-initial-setup
fi
#DEBHELPER#
exit 0
#!/bin/sh
set -e
if [ "$1" = "purge" ] ; then
if getent passwd gnome-initial-setup >/dev/null; then
if which deluser >/dev/null 2>&1; then
deluser --system gnome-initial-setup || echo "Could not remove gnome-initial-setup user."
fi
fi
fi
#DEBHELPER#
exit 0
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
%:
dh $@ --parallel --with gnome
override_dh_auto_configure:
dh_auto_configure -- \
--libexecdir=/usr/lib/gnome-initial-setup \
--enable-software-sources
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/ \
@PACKAGE@@ANY_VERSION@\.tar\.xz
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment